/*****************************************************************************************
 *
 *  Copyright 2006+ by Cieszak
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 ****************************************************************************************/

#ifndef MAIN_H
#define MAIN_H


#include <nokix/all.h>
#include "tfstext.h"

/**************************************************************************************/
//#define DEBUG

/* max length of dialog buffer */
#define DLG_BUFFER 302

struct application
{
   /* current line */
   unsigned char current;
   /* all lines */
   unsigned char all;
   /* file descriptor */
   int fd;
   /* row number on display */
   char row;
   /* number of rows in current key */
   signed char rows;
   /* current game app state (see below) */
   unsigned char state;
   /* current app/key data */
   char *info;
   int info_length;
   /* used only when editing */
   char *edit_buffer;
   /* some used fonts */
   struct font *app_font;
   struct font *key_font;
   struct font *counter_font;
   struct font *filename_font;
   
};

extern struct application *application;
//we don't use global buffer here because phone dialog use it and clear our app struct
#define app (*(struct application *)application)

#define STATE_NORMAL        0
#define STATE_MENU          1
#define STATE_DLG_ADD_APP   2
#define STATE_DLG_ADD_KEY   3
#define STATE_DLG_EDIT_APP  4
#define STATE_DLG_EDIT_KEY  5
#define STATE_DLG_NEW_FILE  6
#define STATE_PHONE         7

/**************************************************************************************/

#endif /* MAIN_H */

