/*****************************************************************************************
 *
 *  Copyright 2006+ by [Yak]
 *  All Rights Reserved.
 *
 *  Version    Date          Author             Log
 *  --------------------------------------------------------------------------------------
 *  1.0        20.03.2006    [Yak]              Inital Release
 *  1.2        30.05.2006    [Yak]              Uses close_display_msg_dmi()
 *
 ****************************************************************************************/

#include "tfs.h"
#include "pbar.h"
#include <wchar.h>
#include <nokix/misc.h>
#include <nokix/freegfx.h>

void update_action(void);
unsigned is_display_msg(void);

unsigned char pbar_open(const nokstr_t *str)
{
   dprintf("pbar_open()\n");
   
   keyboard_enable(false);
   if(!is_display_msg())
   {
      dprintf("  opening progress bar\n");
      display_msg(DMI_PROGRESS,str);
      update_action();
      update_screen();
      return 1;
   }
   else dprintf("  some message already on screen\n");
   return 0;
}

int pbar_close(unsigned char opened, int rc)
{
   dprintf("pbar_close(opened=%d,rc=%d)\n",opened,rc);

   keyboard_enable(true);
   if(opened)
   {
      dprintf("  closing progress bar\n");
      close_display_msg_dmi(DMI_PROGRESS);
      update_action();
      update_screen();
   }
   return rc;
}

